Package org.eclipse.gef.common.beans.binding

## Class SetMultimapExpressionHelper<K,​V>

- java.lang.Object
- - org.eclipse.gef.common.collections.SetMultimapListenerHelper<K,​V>
  - - org.eclipse.gef.common.beans.binding.SetMultimapExpressionHelper<K,​V>

Type Parameters:
  `K` - The key type of the `ObservableSetMultimap`.
  `V` - The value type of the `ObservableSetMultimap`.

    public class SetMultimapExpressionHelper<K,​V>
    extends SetMultimapListenerHelper<K,​V>

A utility class to support change notifications for an `ObservableSetMultimap`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.common.collections.SetMultimapListenerHelper

`SetMultimapListenerHelper.AtomicChange<K,​V>, SetMultimapListenerHelper.ElementarySubChange<K,​V>`

### Constructor Summary

Constructors
`SetMultimapExpressionHelper​(ObservableSetMultimapValue<K,​V> observableValue)` Constructs a new `SetMultimapExpressionHelper` for the given source `ObservableSetMultimapValue`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener​(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,​V>> listener)` Adds a new `ChangeListener` to this `SetMultimapExpressionHelper`.
`void` `fireValueChangedEvent()` Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`void` `fireValueChangedEvent​(SetMultimapChangeListener.Change<? extends K,​? extends V> change)` Fires notifications to all attached `InvalidationListeners` and `SetMultimapChangeListeners`.
`void` `removeListener​(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,​V>> listener)` Removes the given `ChangeListener` from this `SetMultimapChangeListener`.

### Methods inherited from class org.eclipse.gef.common.collections.SetMultimapListenerHelper

`addListener, addListener, getSource, notifyInvalidationListeners, notifySetMultimapChangeListeners, removeListener, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetMultimapExpressionHelper

    public SetMultimapExpressionHelper​(ObservableSetMultimapValue<K,​V> observableValue)

Constructs a new `SetMultimapExpressionHelper` for the given source `ObservableSetMultimapValue`.

Parameters:
  `observableValue` - The observableValue `ObservableSetMultimap`, which is used in change notifications.

### Method Detail

#### addListener

    public void addListener​(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,​V>> listener)

Adds a new `ChangeListener` to this `SetMultimapExpressionHelper`. If the same listener is added more than once, it will be registered more than once and will receive multiple change events.

Parameters:
  `listener` - The listener to add.

#### fireValueChangedEvent

    public void fireValueChangedEvent()

Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.

#### fireValueChangedEvent

    public void fireValueChangedEvent​(SetMultimapChangeListener.Change<? extends K,​? extends V> change)

Fires notifications to all attached `InvalidationListeners` and `SetMultimapChangeListeners`.

Overrides:
  `fireValueChangedEvent` in class `SetMultimapListenerHelper<K,​V>`
Parameters:
  `change` - The change that needs to be propagated.

#### removeListener

    public void removeListener​(javafx.beans.value.ChangeListener<? super ObservableSetMultimap<K,​V>> listener)

Removes the given `ChangeListener` from this `SetMultimapChangeListener`. If it was registered more than once, removes only one occurrence.

Parameters:
  `listener` - The `ChangeListener` to remove.